<?php


use GuzzleHttp\Client;

class BidlClient
{

    public function __construct(public string $baseUrl, public Client $client)
    {
    }

    public function call(
        string $string,
        $request,
        \App\Dev\Bidl\BidlResponse $responseWrapper,
        $headers,
    ) {
        $response = $this->client->post(
            trim($this->baseUrl, '/'). '/' . trim($string, '/'),
            [
                'headers' => $headers,
                'json' => $request,
                'http_errors' => false,
            ]
        );
        $json = json_decode($response->getBody()->getContents());

        echo $response->getBody()->getContents();

        $responseWrapper->fromJson($json);

        return $responseWrapper;
    }


}